
##
# A mapping between a set of public IPs and a private IP.
#
# @author::  Alan Vella
##

class IpMapping


  def initialize(privateIp, publicIps)
    @privateIp = privateIp
    @publicIps = publicIps
  end

    
  def get_details()
    s = ""    
    if (@publicIps == nil) then
      s = "  Public IPs [ - ] => "
    else
      s = "  Public IPs [" + @publicIps.join(", ") + "] => "
    end    
    s += "  Private IP [" + @privateIp + "]"
    return s
  end
  
  
  def get_public_ips()
    return @publicIps
  end
  
  
end