
##
# A public IP of a virtual machine.
#
# @author::  Alan Vella
##

class VmPublicIp
 
         
  def initialize(ipAddress, ipType, reserved, assignedTo, privateIpMapping, nodeResource, organizationResource)
    @ipAddress = ipAddress
    @ipType = ipType
    @reserved = reserved
    @assignedTo = assignedTo
    @privateIpMapping = privateIpMapping
    @nodeResource = nodeResource
    @organizationResource = organizationResource
  end
  
 
  def get_details()
    details  = "IP Address           : #{@ipAddress}\n"
    details += "IP Type              : #{@ipType}\n"
    details += "Reserved             : #{@reserved}\n"
    details += "Assigned To          : #{@assignedTo.join(", ")}\n"
    details += "Private IP Mapping   : #{@privateIpMapping}\n"
    details += "Node Resource        : #{@nodeResource}\n"
    details += "Organization Resource: #{@organizationResource}\n"
    return details
  end
  
 
end