
##
# A private IP of a virtual machine.
#
# @author::  Alan Vella
##

class VmPrivateIp
 
 
  def initialize(ipAddress, assignedTo, publicIpMappings, nodeResource, organizationResource)
    @ipAddress = ipAddress
    @assignedTo = assignedTo
    @publicIpMappings = publicIpMappings
    @nodeResource = nodeResource
    @organizationResource = organizationResource
  end
   
   
  def get_details()
    details  = "IP Address           : #{@ipAddress}\n"
    details += "Assigned To          : #{@assignedTo.join(", ")}\n"
    details += "Public IP Mappings   : #{@publicIpMappings.join(", ")}\n"
    details += "Node Resource        : #{@nodeResource}\n"
    details += "Organization Resource: #{@organizationResource}\n"
    return details
  end
  
   
end